Alembic: Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema Class Reference
Inheritance diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema:

## Public Types
typedef OLightSchema | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< LightSchemaInfo >
typedef LightSchemaInfo | info_type
typedef OSchema< LightSchemaInfo > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
typedef OCompoundProperty | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | this_type
typedef OBasePropertyT< AbcA::CompoundPropertyWriterPtr > | operator_bool_base_type

## Public Member Functions
| OLightSchema ()
| OLightSchema (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument(), const Abc::Argument &iArg3=Abc::Argument())
| OLightSchema (Abc::OCompoundProperty iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument(), const Abc::Argument &iArg2=Abc::Argument())
AbcA::TimeSamplingPtr | getTimeSampling () const
| Default assignment and copy operator used.
size_t | getNumSamples ()
void | setCameraSample (const CameraSample &iSamp)
| Set a sample.
void | setFromPrevious ()
| Set from previous sample.
void | setTimeSampling (uint32_t iIndex)
void | setTimeSampling (AbcA::TimeSamplingPtr iTime)
Abc::OCompoundProperty | getUserProperties ()
Abc::OCompoundProperty | getArbGeomParams ()
Abc::OBox3dProperty | getChildBoundsProperty ()
void | reset ()
bool | valid () const
| Returns whether this function set is valid.
| ALEMBIC_OVERRIDE_OPERATOR_BOOL (OLightSchema::valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< LightSchemaInfo >
| OSchema ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OCompoundProperty
| OCompoundProperty ()
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OCompoundProperty iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (AbcA::CompoundPropertyWriterPtr iProp, WrapExistingFlag iWrapFlag=kWrapExisting, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| OCompoundProperty (OObject iObject, TopFlag iTopFlag=kTop, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~OCompoundProperty ()
size_t | getNumProperties () const
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
OBaseProperty | getProperty (size_t i) const
OBaseProperty | getProperty (const std::string &iName) const
OCompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
OObject | getObject () const
AbcA::CompoundPropertyWriterPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Protected Member Functions
void | init (AbcA::CompoundPropertyWriterPtr iParent, const Abc::Argument &iArg0, const Abc::Argument &iArg1, const Abc::Argument &iArg2, const Abc::Argument &iArg3)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
| OBasePropertyT ()
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Protected Attributes
AbcA::TimeSamplingPtr | m_tsPtr
Abc::OBox3dProperty | m_childBoundsProperty
Abc::OCompoundProperty | m_userProperties
Abc::OCompoundProperty | m_arbGeomParams
AbcGeom::OCameraSchema | m_cameraSchema
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OBasePropertyT< AbcA::CompoundPropertyWriterPtr >
AbcA::CompoundPropertyWriterPtr | m_property

## Additional Inherited Members
Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::OSchema< LightSchemaInfo >
static const char * | getSchemaTitle ()
static const char * | getSchemaBaseType ()
static const char * | getDefaultSchemaName ()
static bool | replaceOnSparse ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)

## Member Typedef Documentation

## ◆ this_type

typedef OLightSchema Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::this_type

By convention we always define this_type in AbcGeom classes. Used by unspecified-bool-type conversion below

## Constructor & Destructor Documentation

## ◆ OLightSchema() [1/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::OLightSchema | ( |  | ) |
| inline

The default constructor creates an empty OLightMeshSchema ...

## ◆ OLightSchema() [2/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::OLightSchema | ( | AbcA::CompoundPropertyWriterPtr | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument(),
|  | const Abc::Argument & | iArg2 = Abc::Argument(),
|  | const Abc::Argument & | iArg3 = Abc::Argument() )

This constructor creates a new light writer. The first argument is an CompoundPropertyWriterPtr to use as a parent. The next is the name to give the schema which is usually the default name given by OLight (.geom) The remaining optional arguments can be used to override the ErrorHandlerPolicy, to specify MetaData, specify sparse sampling and to set TimeSampling.

## ◆ OLightSchema() [3/3]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::OLightSchema | ( | Abc::OCompoundProperty | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = Abc::Argument(),
|  | const Abc::Argument & | iArg1 = Abc::Argument(),
|  | const Abc::Argument & | iArg2 = Abc::Argument() )

This constructor creates a new light writer. The first argument is an OCompundProperty to use as a parent, and from which the ErrorHandlerPolicy is derived. The next is the name to give the schema which is usually the default name given by OLight (.geom) The remaining optional arguments can be used to specify MetaData, specify sparse sampling and to set TimeSampling.

## Member Function Documentation

## ◆ ALEMBIC_OVERRIDE_OPERATOR_BOOL()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::ALEMBIC_OVERRIDE_OPERATOR_BOOL | ( | OLightSchema::valid() |  | ) |

unspecified-bool-type operator overload. ...

## ◆ getNumSamples()

size_t Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::getNumSamples | ( |  | ) |

All of our properties are not mandatory so we'll just use the child bounds.

## ◆ getTimeSampling()

AbcA::TimeSamplingPtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::getTimeSampling | ( |  | ) | const
| inline

Default assignment and copy operator used.

Return the time sampling.

## ◆ reset()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::OLightSchema::reset | ( |  | ) |
| inline

Reset returns this function set to an empty, default state.

The documentation for this class was generated from the following files:

- AbcGeom/OLight.h
- AbcGeom/OLight.cpp